BACKUP_RESTOREDB(8)

NAME
backup_restoredb - Restores a saved copy of the Backup Database

SYNOPSIS
backup restoredb [-portoffset <TC port offset>]
    [-localauth] [-cell <cell name>] [-help]

backup res [-p <TC port offset>]
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup restoredb command restores to the Backup Server machine's local disk a version of the Backup Database previously written to tape by using the backup savedb command.

(If the "FILE YES" instruction appears in the /var/lib/openafs/backup/CFG_device_name file associated with the specified port offset, then the backup restoredb command restores data from the backup data file listed for that port offset in the Tape Coordinator's /var/lib/openafs/backup/tapeconfig file, instead of from tape. For the sake of clarity, the following text refers to tapes only, but the Backup System handles backup data files in much the same way.)

The most common reason to run this command is to replace a corrupted or otherwise damaged Backup Database; use the backup dbverify command to determine the database's status. The command can also be used to restore records that were removed from the database when the -archive argument was included on a previous backup savedb command.

The command completely overwrites the existing Backup Database records for volume sets, Tape Coordinators, and the dump hierarchy with the corresponding information from the saved version. It does not overwrite existing dump records, but instead interleaves the records from the copy being restored. If both the existing database (on the Backup Server machine's disk) and the copy being restored include a record about the same dump, the Backup System retains the one in the existing database.

The Tape Coordinator's default response to this command is to access the first tape it needs by invoking the "MOUNT" instruction in the local /var/lib/openafs/backup/CFG_device_name file, or by prompting the backup operator to insert the tape if there is no "MOUNT" instruction. However, if the "AUTOQUERY NO" instruction appears in the CFG_device_name file, or if the issuer of the butc command included the -noautoquery flag, the Tape Coordinator instead expects the tape to be in the device already. If it is not, or is the wrong tape, the Tape Coordinator invokes the "MOUNT" instruction or prompts the operator. It also invokes the "MOUNT" instruction or prompts for any additional tapes needed to complete the restore operation; the backup operator must arrange to provide them.

CAUTIONS
If the database is corrupted, do not attempt to restore a saved database on top of it. Instead, use the instructions for repairing a corrupted database in the OpenAFS Administration Guide chapter about performing backup operations.

OPTIONS

-portoffset <TC port offset>
    Specifies the port offset number of the Tape Coordinator handling the tapes for this operation.

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example shows the Backup Database being restored from the Tape Coordinator with port offset 0:

   % backup restoredb

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
butc(5), backup(8), backup_dbverify(8), backup_savedb(8), butc(8)

The OpenAFS Administration Guide at <http://docs.openafs.org/AdminGuide/>.

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.